%define		status		stable
%define		pearname	Horde_Memcache
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Memcache API
Name:		php-horde-Horde_Memcache
Version:	1.1.1
Release:	3
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	159173ea84f281728cda8990c350625c
URL:		https://github.com/horde/horde/tree/master/framework/Memcache/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(hash)
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Requires:	php(memcache)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Horde_Memcache library provides an API to access a memcache
installation in Horde code.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Memcache.php
%{php_pear_dir}/Horde/Memcache
%changelog
* Sun Jun 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-horde-Horde_Memcache.git;a=log;h=master

* Sun Jun 22 2014 Jan Rękorajski <baggins@pld-linux.org> 0809be3
- virtual R for pecl-memcache
- rel 3

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 43739eb
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> cd3b5bc
- updated to: 1.1.1

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> d2b6b19
- updated to: 1.0.5

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> ddf5111
- updated to: 1.0.4

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> bb410b3
- up to 1.0.3

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> f52660b
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 60e9fc9
- memcache ext from proper channel

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 72a5c14
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 7821861
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 9a5eddb
- horde h4 pear packages

